På en Ubuntu computer jeg ikke sædvanligvis bruger til NemID skulle jeg logge ind på en netbank for at få en udskrift. Jeg mener den har virker før til NemID, men denne gang fik jeg ikke det vante NemID-vindue op på browsersiden (og uden nogen indikation om at den manglede). Jeg mindedes at netbanken/NemID skulle virke med sun-java6 men kunne ikke få den til at virke. Efter et stykke tid erindrede jeg at Ubuntu har sendt en sikkerhedsmeddelelse ud der fjernede sun-java:

https://lists.ubuntu.com/archives/ubuntu-security-announce/2011-December...

og det har vel være det der har gjort det. Jeg var igennem en hel del aptitude install/reinstall/purge og update-java-alternatives --list osv. Jeg tror det der gjorde at jeg kom igennem var denne kommando:

sudo aptitude install icedtea6-plugin

Tilsyneladende virker netbanken/NemID nu med java-6-openjdk Firefox-pluginnen. Jeg mindedes ellers at den ikke duede.

Lidt mere opdatering om Ubuntu-java situationen synes at være her:

http://www.omgubuntu.co.uk/2012/01/sun-still-shines-for-java-users-on-ub...

Kommentarer (8)
sortSortér kommentarer
  • Ældste først
  • Nyeste først
  • Bedste først
#1 Jan Præstkjær

Du er heldig. Min hustrus Firefox crasher (Ubuntu 11.04) Jeg selv anvender Ubuntu 10.04, hvor Firefox også crasher. En 3. & 4. PC med Ubuntu/Lubuntu 11.10 kan ikke heller mere.

Crash sker ved afvikling af applet fra DanID. Vores problem synes at være opstået siden begyndelsen af februar i år. Jeg tror det er kommet i forbindelse med opdatering til Firefox ver. 9 & 10. Det har ellers fungeret upåklageligt fra da vi begyndte.

Google Chromium klarer ærterne

Ang. Java, så tror jeg at den bliver installeret sammen med Open- eller LibreOffice, valgt i Synaptic-pakkehåndtering.

  • 0
  • 0
#5 Jan Præstkjær

Ole Dahl Jeg så også, at problemet var genåbnet. Og... Hvis problemet var løst, havde vi nok fået en opdatering, da der er tale om en crash.

Jeg troede, efter en lille prøve, at Chromium kunne, men min bedre halvdel kunne ikke overføre, den stoppede undervejs (Ubuntu 11.04). Chromium synes dog at fungere under en ny installation af Lubuntu 11.10 med Edubuntu oven på (Jeg vil bruge Gnome).

Videre. En lang historie kort: NemID fungerer i Debian 6 med Iceweasel & Scientific Linux 6 med Firefox (transaktioner afprøvet)

  • 0
  • 0
#6 Henrik Christiansen

https://bugzilla.redhat.com/show_bug.cgi?id=791242#c8

Erik P. Olsen 2012-02-24 15:41:52 EST

Problem SOLVED.

In a general Danish linux forum I found the following solution to the problem:

In firefox launch about:config and in there change dom.ipc.plugins.java.enabled from false to true and once restarted firefox does not crash any more.

I have no idea what this means but the crash is gone.

  • 1
  • 0
Log ind eller Opret konto for at kommentere